Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.war.action.hyperlinks
Class ReportExecutionHyperlinkProducerFactory

    java.lang.Object
      com.jaspersoft.jasperserver.api.engine.jasperreports.util.BaseReportExecutionHyperlinkProducerFactory
          com.jaspersoft.jasperserver.war.action.hyperlinks.ReportExecutionHyperlinkProducerFactory

All Implemented Interfaces:
  HyperlinkProducerFlowFactory, java.io.Serializable

    public class ReportExecutionHyperlinkProducerFactory

extends BaseReportExecutionHyperlinkProducerFactory
implements HyperlinkProducerFlowFactory

Version:
  $Id: ReportExecutionHyperlinkProducerFactory.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)
See Also:
  Serialized Form

Nested Class Summary
`class` | `ReportExecutionHyperlinkProducerFactory.HyperlinkProducer`

Nested classes/interfaces inherited from class com.jaspersoft.jasperserver.api.engine.jasperreports.util.BaseReportExecutionHyperlinkProducerFactory
`BaseReportExecutionHyperlinkProducerFactory.BaseHyperlinkProducer`

Field Summary

Fields inherited from class com.jaspersoft.jasperserver.api.engine.jasperreports.util.BaseReportExecutionHyperlinkProducerFactory
`log`

Constructor Summary
`ReportExecutionHyperlinkProducerFactory()`

Method Summary
`net.sf.jasperreports.engine.export.JRHyperlinkProducer` | `getHyperlinkProducer(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`

Methods inherited from class com.jaspersoft.jasperserver.api.engine.jasperreports.util.BaseReportExecutionHyperlinkProducerFactory
`getDateFormatter, getEncodingProvider, getFlowControllerMapping, getHyperlinkParameterOutputChannel, getHyperlinkParameterReportUnit, getReportExecutionFlowId, getUrlParameterOutputChannel, getUrlParameterReportUnit, setDateFormatter, setEncodingProvider, setFlowControllerMapping, setHyperlinkParameterOutputChannel, setHyperlinkParameterReportUnit, setReportExecutionFlowId, setUrlParameterOutputChannel, setUrlParameterReportUnit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReportExecutionHyperlinkProducerFactory

    public ReportExecutionHyperlinkProducerFactory()

Method Detail

### getHyperlinkProducer

    public net.sf.jasperreports.engine.export.JRHyperlinkProducer getHyperlinkProducer(javax.servlet.http.HttpServletRequest request,
                                                                                       javax.servlet.http.HttpServletResponse response)

  Specified by:
    `getHyperlinkProducer` in interface `HyperlinkProducerFlowFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.